Subject: Re: Ping: Cygwin libtool / assembler problem with -DPIC
From: "Gerrit P. Haase" <[email-masked]>
To: Noah Misch <[email-masked]>
Cc: "Gerrit P. Haase" <[email-masked]>, cygwin <[email-masked]>, [email-masked]
Date: Wed, 13 Oct 2004 23:48:55 +0200

Noah Misch wrote:
> On Tue, Oct 12, 2004 at 03:29:10PM +0200, Gerrit P. Haase wrote:
> 
>>Gerrit wrote:
>>
>>PING!
>>
>>
>>>Hello,
>>
>>>With GNU as PIC is not an noop, when -DPIC is used to invoke gas the
>>>generated assembly is broken.  I saw this problem with a
>>>reautoconfiscated version of GMP.  This may be unusual, but there was
>>>libtool used to invoke gas.
> 
> 
> What do you mean by ``the generated assembly is broken''?  Please show the error
> you encountered.
> 
> I built gmp-4.1.4 on Cygwin, and it passed all tests.  I used the shipped
> ``configure'', but adding -DPIC is not a new libtool behavior.
 >
> There was a thread about this general topic awhile ago.  That GMP actively uses
> -DPIC to select the correct assembly came up:
> 
> http://lists.gnu.org/archive/html/libtool/2003-01/msg00060.html

I saw that -DPIC was used on Cygwin to compile assembly and it couldn't be
linked.  Also I read in the GMP sources somewhere that libtool adds this
flag where it is a noop on Cygwin when not compiling assembler code where
it breaks things, so the conclusion was to remove the flag entirely when
platform is Cygwin, I was able to build GMP and thats it.

Unfortunately I have no logs, but I tracked it down and realized that
this flag is the culprit and removing it resolves my problem.  Even
more bad that the demo I suspect to show the error doesn't build at all
with the recent Cygwin release (demos/expr).

Anyway, this flag is used where it is completely useless, so please
remove it, patch was already submitted to the Cygwin libtool maintainer.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/